Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
EngineCheck Class Referenceabstract

Engine checker interface. More...

`#include <yatengine.h>`

## Public Member Functions
virtual | ~EngineCheck ()
virtual bool | check (const ObjList *cmds)=0

## Static Public Member Functions
static void | setChecker (EngineCheck *ptr=0)

## Detailed Description

Engine checker interface.

Base class for engine running stage checkers. Descendants may check specific conditions and decide to stop the engine. There should be only one (static) instance of an engine checker

## Constructor & Destructor Documentation

virtual ~EngineCheck | ( |  | ) |
| inline virtual

Do-nothing destructor of base class

## Member Function Documentation

virtual bool check | ( | const ObjList * | cmds | ) |
| pure virtual

Check running conditions. This method is called by the engine in the initialize process

Parameters

  cmds | Optional list of strings containing extra command line parameters (not parsed by the engine)

Returns
  False to stop the program

static void setChecker | ( | EngineCheck * | ptr = `0` | ) |
| static

Set the current engine checker

Parameters

  ptr | The new engine checker. May be 0 to reset it

The documentation for this class was generated from the following file:

- yatengine.h